<template>
  <div class="TranslateTab" ref="component">
    <iframe
      class="_frame"
      ref="frame"
      src=""
      nwdisable
      nwfaketop
      nwuseragent="Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/52.0.2743.116 Safari/537.36">
    </iframe>
  </div>
</template>

<script>
export default {
  computed: {
    isTabActive() {
      return this.$parent.active
    }
  },
  watch: {
    isTabActive(isActive) {
      const frame = $(this.$refs.frame)
      if (isActive && !frame.attr('src')) {
        this.initFrame()
      } else if (isActive) {
        // frame.contents().find('#fakeArea').focus()
      }
    }
  },
  mounted() {
    if (this.isTabActive) {
      this.initFrame()
    }
  },
  methods: {
    initFrame() {
      const frame = $(this.$refs.frame)
      frame.attr('src', 'https://translate.yandex.ru')
      frame.on('load', () => {
        frame.blur()
      })
    },
  }
}
</script>

<style lang="less" scoped>
.TranslateTab {
  height: 100%;
  ._frame {
    width: 100%;
    height: 100%;
    border: none;
    body {
      background-color: #000;
    }
  }
}
</style>